<?php
/*
Plugin Name: API Rest Resource
Plugin URI: https://fjsl.es/wp/api-rest-template
Description: Template from a new API Rest Resource to get data from de WP.
Version: 1.0
Author: Fco J Sanchez
Author URI: https://fjsl.es
License: GPL
License URI: https://www.gnu.org/
*/

defined('ABSPATH') or die ('¡No enredes!');

require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

define ('A_VERSION', '1.0');

//Comprobar funciones
if (!function_exists('a_func2')) {
  function a_func2 () {
    $json = json_encode(array('a' => true));
    echo $json;
    // return $json;
  }
}
if (!function_exists('a_func')) {
  function a_func () {
    $a = array('methods' => 'GET', 'callback' => 'a_func2');
    register_rest_route( 'a/v1', '/get', $a);
  }
}
//Registrar función (_URL_/wp-json/a/v1/get)
add_action('rest_api_init', 'a_func');